#include<stdio.h>
#include<math.h>
int main(){
	unsigned long long X,Y,br1,br2,N=0,deset=1;
	scanf("%lld",&X);
	scanf("%lld",&Y);
	
	if(X>Y){
	while(X!=0){
		
	br1=X%10; 	
	 	br2=Y%10;
	 X=X/10;
	 	Y=Y/10;
	 if(br1>br2){
	 	N=br1*deset+N;
	 	deset=deset*10;
	 }
	 else if(br2>br1){
	 N=br2*deset+N;
	 	deset=deset*10;
	 }
	 else if(br1==br2){
	 	if(Y!=0){
	 		
		 	 N=br2*deset+N;
	 		 	deset=deset*10;
	 		N=br2*deset+N;
	 		deset=deset*10;}
	 		else{
	 		N=br1*deset+N;
	 		 	deset=deset*10;	
			 }
	 }
	 	
	}
	}
	else {
			while(Y!=0){
		
	br1=X%10; 	
	 	br2=Y%10;
	 
	 if(br1>br2){
	 	N=br1*deset+N;
	 	deset=deset*10;
	 }
	 else if(br2>br1){
	 N=br2*deset+N;
	 	deset=deset*10;
	 }
	 else if(br1==br2){
	 		 if(X!=0){
	 		
		 	 N=br2*deset+N;
	 		 	deset=deset*10;
	 		N=br2*deset+N;
	 		deset=deset*10;}
	 		else{
	 		N=br2*deset+N;
	 		 	deset=deset*10;	
			 }
	 }
	 	X=X/10;
	 	Y=Y/10;
	}
	}
	printf("%lld",N);
	return 0;
}